package com.cf.imes.module.system.service.tokenconfig;


import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.system.controller.admin.tokenconfig.vo.TokenConfigPageReqVO;
import com.cf.imes.module.system.controller.admin.tokenconfig.vo.TokenConfigRespVO;
import com.cf.imes.module.system.controller.admin.tokenconfig.vo.TokenConfigSaveReqVO;
import com.cf.imes.module.system.dal.dataobject.tokenconfig.TokenConfigDO;

/**
 * @author token 配置管理接口
 */
public interface TokenConfigService {

    PageResult<TokenConfigRespVO> getTokenConfigPage(TokenConfigPageReqVO pageReqVO);


    TokenConfigDO getTokenConConfig(Long id);


    void insertTokenConfig(TokenConfigSaveReqVO reqVO);


    void updateTokenConfig(TokenConfigSaveReqVO reqVO);


    void deleteTokenConfig(Long id);


    Long checkTokenConfig(String token);

    String tokenConfigCopy(Long id);

    PageResult<TokenConfigRespVO> exportTokenConfigExcel(TokenConfigPageReqVO pageReqVO);
}
